/*  Author: Marina Flohr, marina@imperia.net, based on the aqua style of the original:
    Distributed as part of The Coolest DHTML Calendar
    Author: Mihai Bazon, www.bazon.net/mishoo
    Copyright Dynarch.com 2005, www.dynarch.com
*/

/* The main calendar widget.  DIV containing a table. */
@font-face {
    font-family: "Roboto Regular";
    src: url("/imperia/fonts/Roboto/Roboto-Regular.ttf");
}
@font-face {
    font-family: "Roboto Light";
    src: url("/imperia/fonts/Roboto/Roboto-Light.ttf");
}
div.calendar {
    position: relative;
    z-index: 1050;
}

.calendar, .calendar table {
    font-family: "Roboto Light", sans-serif;
    color: #191919;
    cursor: default;
    background-color: #fff;   
}

.calendar {
    border: 1px solid #cdcdcd;
    border-radius: 5px;
    box-shadow: 0px 2px 6px #797979;
}
.calendar table {

}
.calendar table td, .calendar table th  {
    font-size: 13px;
    /* font-family: Arial, helvetica, sans-serif; */
    padding: 7px;
    white-space: nowrap;
}
/* **************************************************************** 
 Header part -- contains navigation buttons and day names. 
 **************************************************************** */

.calendar .calendar_button { /* "<<", "<", ">", ">>" buttons have this class */
    text-align: center;    /* They are the navigation buttons */
    font-size: 22px;
    padding: 0 7px;
    color:  #141414;
    cursor: pointer;
}
.headrow .calendar_button:nth-child(3) {
    font-size: 16px;
}
.calendar .nav {
    font-family: Arial, helvetica, sans-serif;
}

.calendar .nav div {
    /* background: transparent url("menuarrow1.gif") no-repeat 100% 100%; */
    /* margin-left: -6px; */
    margin-left: 0;
    margin-top: -3px;   
    background: none transparent;
}

.calendar thead td {
   /*padding: 2px 3px;*/
}
.calendar thead {
   
}
.calendar thead tr:first-of-type > td:first-of-type {
    font-size: 16px;
}
.calendar thead .title { /* This holds the current "month, year" */
    text-align: center;
    font-family: "Roboto Regular", sans-serif;
    font-weight: bold;
    color: #191919;
}

.calendar thead .headrow { /* Row <TR> containing navigation buttons */
    color:  #191919;
}
.calendar thead tr.daynames {
    font-weight: bold;
    font-family: "Roboto Regular", sans-serif;
}

.calendar thead tr.daynames td {
    width: 1.9em;
}
.calendar thead tr.daynames td.wn {
    width: 1.5em;
}
.calendar thead .name { /* Cells <TD> containing the day names */
    text-align: center;
    color: #141414;
    font-family: "Roboto Regular", sans-serif;
    font-weight: bold;
}

.calendar thead .weekend { /* How a weekend day name shows in header */
    /* color: #eb8237; */
}

.calendar thead .hilite { /* How do the buttons in header appear when hover */
   background:  #efefef;
   border-radius: 3px;
}

.calendar thead .weekend.hilite { /* How a weekend day name shows in header when hover*/
    color: #fff;
}

.calendar thead .active { /* Active (pressed) buttons in header */
    background: #dfdfdf; 
    color: #141414;
    border-radius: 3px;    
    /* border-bottom: 1px solid #797979; */
}

/* **************************************************************** */
/* The body part -- contains all the days in month. */
/* **************************************************************** */

.calendar tbody .day { /* Cells <TD> containing month days dates */
    /* font-family: verdana, arial, helvetica, tahoma, sans-serif; */
    color: #191919;
    text-align: center;    
}
.calendar tbody .day.othermonth {    
    color: #999;
}
.calendar tbody .day.othermonth.oweekend {
    color: #999;
}

.calendar table tbody .wn {
    /* background-color: #f1eff0; */
    font-weight: bold;
    font-family: "Roboto Regular", sans-serif;
}
.calendar tbody .rowhilite td,
.calendar tbody .rowhilite td.wn {
    /* background: url("bg_rowhover1.gif") transparent; */
    /* background: #efefef; */
}

.calendar tbody td.today {
    font-weight: bold; 
    /* background: url("today-bg.gif") no-repeat 70% 50%; */
    font-family: "Roboto Regular", sans-serif;
}

.calendar tbody td.hilite { /* Hovered cells <TD> */
    /* background: #eb8237; */
    background: #dfdfdf;
    border-radius: 3px;
}

.calendar tbody td.active { /* Active (pressed) cells <TD> 
padding: 2px 2px 0px 2px;*/
}

.calendar tbody td.weekend { /* Cells showing weekend days */
    color: #797979;
}

.calendar tbody td.selected { /* Cell showing selected date */
    font-family: "Roboto Regular", sans-serif;
    font-weight: bold;
    /* border: 1px solid #191919; */
    background: #eb8237; 
    color: #191919;
    border-radius: 3px;
}

.calendar tbody .disabled {
    color: #999;
}

.calendar tbody .emptycell { /* Empty cells (the best is to hide them) */
    visibility: hidden;
}

.calendar tbody .emptyrow { /* Empty row (some months need less than 6 rows) */
    display: none;
}

/* **************************************************************** */
/* The footer part -- status bar and "Close" button */
/* **************************************************************** */
.calendar tfoot .footrow { /* The <TR> in footer (only one right now) */
    text-align: center;
    /* background:  #f4c092; */
    color: #191919;
}

.calendar tfoot .ttip { /* Tooltip (status bar) cell <TD> */    
    padding-bottom: 0px;
    color: #d2d2d2;
    vertical-align: top;
    text-align: center;
    height: 23px !important;
    max-height: 23px !important;
    overflow: hidden;
    word-wrap: none;
    white-space: nowrap;
}

.calendar tfoot .hilite { /* Hover style for buttons in footer */
    background: #dfdfdf;
    /* border: 1px solid #084; */
    color: #000;    
}

.calendar tfoot .active { /* Active (pressed) style for buttons in footer */
    background: #7c7;    
}

/* Combo boxes (menus that display months/years for direct selection) */

.calendar .combo {
    position: absolute;
    display: none;
    top: 0px;
    left: 0px;
    width: 4em;
    cursor: default;
    /* background: url("normal-bg.gif");  */
    background: #dfdfdf;
    color: #191919;
    z-index: 500;
    font-size: 90%;
}
.calendar .combo > div {
    display: block;
}
.calendar .combo .label,
.calendar .combo .label-IEfix {
    text-align: center;
    padding: 3px;
    color: #191919;
}

.calendar .combo .label-IEfix {
    width: 4em;
}

.calendar .combo .hilite {
    /* background: url("hover-bg1.png"); color: #000; */
}

.calendar .combo .active {
    /* background: url("active-bg.gif"); color: #fff; */
    font-weight: bold;
}

.calendar td.time {
    text-align: center;
    color: #141414;
    font-weight: normal;
}
.calendar tr.time td:first-child {
    text-align: left;
    font-weight: bold;
    font-family: "Roboto Regular", sans-serif;
}
.calendar span.hour,
.calendar span.minute,
.calendar span.ampm,
.calendar span.colon {
    color: #141414;
    font-weight: bold;
}

.calendar td.time .hour,
.calendar td.time .minute {
    font-family: monospace;
}

.calendar td.time .ampm {
    /* text-align: center; */
}

.calendar td.time .colon {
    font-weight: bold;
}
.calendar td.time span {
    padding: 2px 3px;
}
.calendar td.time span.hilite {
    background: #dfdfdf;
    color: #141414;
    padding: 2px 3px;
}

.calendar td.time span.active {
    background: #dfdfdf;
    color: #141414;
}
